Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.faces.event
Class PreDestroyCustomScopeEvent

    java.lang.Object
      java.util.EventObject
          javax.faces.event.SystemEvent
              javax.faces.event.PreDestroyCustomScopeEvent

All Implemented Interfaces:
  java.io.Serializable

    public class PreDestroyCustomScopeEvent

extends SystemEvent

This class is provided to allow custom scopes to publish a "pre construct" event in the same way that other scopes do to let the application become aware of the beginning of the scope. The runtime must listen for this event and invoke any `PreDestroy` annotated methods on any of the beans in this scope as appropriate. See the example code on `PostConstructCustomScopeEvent` for a usage example, replacing classes as appropriate to make sense for this class.

Since:
  2.0
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`PreDestroyCustomScopeEvent(ScopeContext scopeContext)` An instance of this event indicates that the custom scope enclosed within the argument `scopeContext` is about to end.

Method Summary
`ScopeContext` | `getContext()` Return the `ScopeContext` for this event.

Methods inherited from class javax.faces.event.SystemEvent
`isAppropriateListener, processListener`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PreDestroyCustomScopeEvent

    public PreDestroyCustomScopeEvent(ScopeContext scopeContext)

  An instance of this event indicates that the custom scope enclosed within the argument `scopeContext` is about to end.

  Parameters:
    `scopeContext` - A structure that contains the name of the scope and the scope itself exposed as a `Map<String, Object>`.

Method Detail

### getContext

    public ScopeContext getContext()

  Return the `ScopeContext` for this event.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2002-2010 Oracle America Inc, Inc. All Rights Reserved.